Bug 116035 - can't delete items creted in samba mount from nautilus
can't delete items creted in samba mount from nautilus
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-17 14:08 EST by phil
Modified: 2014-08-31 19:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 13:17:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description phil 2004-02-17 14:08:35 EST
Description of problem:
Sorry, I have no idea what the most appropriate group for this is.
This could be a samba client / server or nautilus bug.

I run FC1, yum'd up to date to "testing" on all Linux machines

I have a linux server with a (samba)shared HD.
If I smbmount that //host/share and use nautilus to create a 
subdirectory in the mounted area
then I cannot delete that directory from nautilus because it is 'busy'

Could there be some kind of race condition where the File system
won't delete the share because Nautilus is still displaying ( hence 
busy ).

Oddly any windows client file browser has no problem with the shared 
area, only Linux ones.

If I back down a directory level in nautilus, I can remove the 
directory from the command line in a terminal.

Version-Release number of selected component (if applicable):


How reproducible:

Every time

Steps to Reproduce:
1. It's taken me half a day to install a new H/D and set this share 
up I don't know where to start
2.
3.
  
Actual results:

Can't delete things from nautilus because the delete target is busy

Expected results:


Additional info:
Comment 1 phil 2004-02-25 04:19:32 EST
I made a mistake. it was on a fresh install of FC2, not FC1 as stated.
Comment 2 Matthew Miller 2006-07-11 13:38:51 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.

Thanks!

NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 3 John Thacker 2006-10-28 13:17:54 EDT
Note that FC1 and FC2 are no longer supported even by Fedora Legacy.  Many
changes have occurred since these older releases.  Please install a supported
version of Fedora Core and retest.  If this still occurs on FC3 or FC4, please
assign to that version and Fedora Legacy.  If it still occurs on FC5 or FC6,
please reopen and assign to the correct version.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.